using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Text;

public partial class Admin_DH_YeMianGuanLi : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("页面管理", "网站后台", "页面管理", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        TreeNode 网站主目录 = new TreeNode("内容页面(/)", "主目录", "images/folder.png");
        网站主目录.SelectAction = TreeNodeSelectAction.Select;
        网站主目录.NavigateUrl = "YeMian/WenJianJia.aspx?folder="+Server.UrlEncode("/")+"&name="+Server.UrlEncode("主目录");
        网站主目录.Target = "XinXi";
        网站主目录.ToolTip = "_";
        TreeView1.Nodes.Add(网站主目录);

        生成文件夹(new DirectoryInfo(Server.MapPath(程序.安装位置 + "Template/Content/"+程序.设置["默认模板"]+"/WapPage/")), 网站主目录, "/");

        TreeNode 社区主目录 = new TreeNode("社区页面(Club/)", "社区主目录", "images/folder.png");
        社区主目录.SelectAction = TreeNodeSelectAction.Select;
        社区主目录.NavigateUrl = "YeMian/WenJianJia.aspx?folder=" + Server.UrlEncode("Club/") + "&name=" + Server.UrlEncode("社区主目录");
        社区主目录.Target = "XinXi";
        社区主目录.ToolTip = "fol_/club/";
        TreeView1.Nodes.Add(社区主目录);

        生成文件夹(new DirectoryInfo(Server.MapPath(程序.安装位置 + "Template/Club/" + 程序.设置["默认社区模板"] + "/WapPage/")), 社区主目录, "/Club/");

    }

    private void 生成文件夹(DirectoryInfo DI, TreeNode 节点, String 文件夹)
    {
        DirectoryInfo[] DIS = DI.GetDirectories();
        for (int i = 0; i < DIS.Length; i++)
        {
            TreeNode 文件夹节点 = new TreeNode(DIS[i].Name , "文件夹", "images/folder.png");
            文件夹节点.SelectAction = TreeNodeSelectAction.Select;
            文件夹节点.NavigateUrl = "YeMian/WenJianJia.aspx?folder=" +
                Server.UrlEncode(文件夹 + DIS[i].Name + "/");
            文件夹节点.Target = "XinXi";
            文件夹节点.ToolTip = "fol_" + 文件夹 + DIS[i].Name + "/";
            节点.ChildNodes.Add(文件夹节点);
            生成文件夹(DIS[i], 文件夹节点, 文件夹 + DIS[i].Name + "/");
        }
        FileInfo[] FIS = DI.GetFiles("*.txt");
        for (int i = 0; i < FIS.Length; i++)
        {
            String 文件名 = FIS[i].Name;
            StreamReader 读取 = FIS[i].OpenText();
            String 第一行内容 = 读取.ReadLine();
            读取.Close();
            bool 是否3G = 第一行内容.StartsWith("3G_");
            String 文件名称 = 是否3G ? 第一行内容.Substring(3) : 第一行内容.Substring(4);
            TreeNode 文件节点 = new TreeNode(文件名称 + "(" + 文件名.Substring(0,文件名.Length-4) + ".aspx)", "文件",
                "images/" + (是否3G ? "3g" : "wap") + "page.png");
            文件节点.SelectAction = TreeNodeSelectAction.Select;
            文件节点.NavigateUrl = "YeMian/XiuGaiWenJian.aspx?file=" +
                Server.UrlEncode(文件夹 + FIS[i].Name.Substring(0, FIS[i].Name.Length - 4)) +
                "&name=" + Server.UrlEncode(文件名称);
            文件节点.Target = "XinXi";
            文件节点.ToolTip = (是否3G ? "3g" : "wap") + "_" + 文件夹 + 文件名.Substring(0,FIS[i].Name.Length-4)+".aspx";
            节点.ChildNodes.Add(文件节点);
        }
    }
}
